Package org.w3._1999.xhtml

# Enum Class TFrame

java.lang.Object
java.lang.Enum<TFrame>
org.w3._1999.xhtml.TFrame

All Implemented Interfaces:
  `Serializable`, `Comparable<TFrame>`, `Constable`

public enum TFrame extends Enum<TFrame>
The border attribute sets the thickness of the frame around the table. The default units are screen pixels. The frame attribute specifies which parts of the frame around the table should be rendered. The values are not the same as CALS to avoid a name clash with the valign attribute. <p>Java class for TFrame</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <simpleType name="TFrame"> <restriction base="{http://www.w3.org/2001/XMLSchema}token"> <enumeration value="void"/> <enumeration value="above"/> <enumeration value="below"/> <enumeration value="hsides"/> <enumeration value="lhs"/> <enumeration value="rhs"/> <enumeration value="vsides"/> <enumeration value="box"/> <enumeration value="border"/> </restriction> </simpleType> }</pre>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ABOVE`
  `BELOW`
  `BORDER`
  `BOX`
  `HSIDES`
  `LHS`
  `RHS`
  `VOID`
  `VSIDES`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `private final String`
  `value`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `private`
  `TFrame(String v)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TFrame`
  `fromValue(String v)`
  Gets the enum associated to the value passed as parameter.
  `String`
  `value()`
  Gets the value associated to the enum constant.
  `static TFrame`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TFrame[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VOID

    public static final TFrame VOID

  - ### ABOVE

    public static final TFrame ABOVE

  - ### BELOW

    public static final TFrame BELOW

  - ### HSIDES

    public static final TFrame HSIDES

  - ### LHS

    public static final TFrame LHS

  - ### RHS

    public static final TFrame RHS

  - ### VSIDES

    public static final TFrame VSIDES

  - ### BOX

    public static final TFrame BOX

  - ### BORDER

    public static final TFrame BORDER

- ## Field Details

  - ### value

    private final String value

- ## Constructor Details

  - ### TFrame

    private TFrame(String v)

- ## Method Details

  - ### values

    public static TFrame[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TFrame valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    Gets the value associated to the enum constant.
    Returns:
      The value linked to the enum.

  - ### fromValue

    public static TFrame fromValue(String v)
    Gets the enum associated to the value passed as parameter.
    Parameters:
      `v` - The value to get the enum from.
    Returns:
      The enum which corresponds to the value, if it exists.
    Throws:
      `IllegalArgumentException` - If no value matches in the enum declaration.